package com.usky.iot.service;

import com.usky.iot.domain.BaseBuild;
import com.usky.iot.domain.BaseBuildUnit;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author han
 * @since 2026-02-03
 */
public interface BaseBuildUnitService extends CrudService<BaseBuildUnit> {
    void add(List<BaseBuildUnit> baseBuildUnits);

    void update(List<BaseBuildUnit> baseBuildUnits);

    void remove(Integer id);

    List<BaseBuildUnit> baseBuildUnitList(Integer id,Integer buildId);
}
